%global pkg_name jaraco-classes
%global pypi_name jaraco.classes

Name:           python-%{pkg_name}
Version:        3.1.0
Release:        %mkrel 1
Summary:        Utility functions for Python class constructs
Group:          Development/Python
License:        MIT
URL:            https://github.com/jaraco/jaraco.classes
Source0:        %{pypi_source %{pypi_name}}
BuildArch:      noarch
 
%description
Utility functions for Python class constructs.

%package -n python3-%{pkg_name}
Summary:        %{summary}
Group:          Development/Python
Requires:       python3-jaraco
Requires:       python3dist(six)

BuildConflicts: python3dist(pytest) = 3.7.3
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest) >= 3.4

BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm) >= 1.15

%{?python_provide:%python_provide python3-%{pkg_name}}

%description -n python3-%{pkg_name}
Utility functions for Python class constructs.

%package -n python-%{pkg_name}-doc
Summary:        jaraco-classes documentation
Group:          Development/Python
BuildRequires:  python3dist(pytest-checkdocs)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(jaraco.packaging) >= 3.2
BuildRequires:  python3dist(rst.linker) >= 1.9

%description -n python-%{pkg_name}-doc
Documentation for jaraco-classes

%prep
%autosetup -n jaraco.classes-%{version}
# Remove bundled egg-info
rm -rf %{pkg_name}.egg-info
# disable flake8 in the tests, need a newer version of pytest-flake8
# https://src.fedoraproject.org/rpms/python-pytest-flake8/pull-request/2
# AttributeError: 'Application' object has no attribute 'make_notifier'
sed -i 's/ --flake8//' pytest.ini
sed -i 's/ --black//' pytest.ini
sed -i 's/ --cov//' pytest.ini

%build
%py3_build
# generate html docs 
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
LANG=C.utf-8 %{__python3} -m pytest --ignore=build

%files -n python3-%{pkg_name}
%doc LICENSE
%doc README.rst
# These excludes are provided by python3-jaraco
%exclude %{python3_sitelib}/jaraco/__init__*
%exclude %{python3_sitelib}/jaraco/__pycache__/__init__*
%{python3_sitelib}/jaraco
%{python3_sitelib}/jaraco.classes-%{version}-py%{python3_version}.egg-info

%files -n python-%{pkg_name}-doc
%doc html
%doc LICENSE


%changelog
* Tue Nov 10 2020 guillomovitch <guillomovitch> 3.1.0-1.mga8
+ Revision: 1644302
- imported package python-jaraco-classes

